﻿using HeuristicLab.Core;
using HeuristicLab.Data;
using HeuristicLab.Data.MoveVectorData;
using HeuristicLab.Optimization;
using System;
using System.Collections.Generic;

namespace HeuristicLab.Encodings.MoveVectorEncoding.Interfaces
{
    public interface IMoveVectorCreator : IBoundedMoveVectorOperator, ISolutionCreator
    {
        IValueLookupParameter<IntValue> LengthParameter { get; }
        ILookupParameter<MoveVector> MoveVectorParameter { get; }

        IList<Type> MoveTypes { get; set; }
    }
}
